NoopEventBridge (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.event, class: NoopEventBridge

# Class NoopEventBridge

java.lang.Object
org.apache.cayenne.event.EventBridge
org.apache.cayenne.event.NoopEventBridge

All Implemented Interfaces:
  `EventListener`

public class NoopEventBridge extends EventBridge

Since:
  4.0

- ## Field Summary

  ### Fields inherited from class EventBridge

  `eventManager, externalEventSource, externalSubject, localSubjects, mode, RECEIVE_EXTERNAL, RECEIVE_LOCAL, RECEIVE_LOCAL_EXTERNAL`
  Modifier and Type
  Field
  Description
  `protected EventManager`
  `eventManager`
  `protected Object`
  `externalEventSource`
  `protected String`
  `externalSubject`
  `protected Collection<EventSubject>`
  `localSubjects`
  `protected int`
  `mode`
  `static final int`
  `RECEIVE_EXTERNAL`
  `static final int`
  `RECEIVE_LOCAL`
  `static final int`
  `RECEIVE_LOCAL_EXTERNAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `sendExternalEvent(CayenneEvent localEvent)`
  Sends a Cayenne event over the transport supported by this bridge.
  `protected void`
  `shutdownExternal()`
  Shuts down the external interface of the EventBridge, cleaning up and releasing any resources used to communicate external events.
  `protected void`
  `startupExternal()`
  Starts an external interface of the EventBridge.

  ### Methods inherited from class EventBridge

  `convertToExternalSubject, getEventManager, getExternalEventSource, getExternalSubject, getLocalSubjects, isRunning, onExternalEvent, receivesExternalEvents, receivesLocalEvents, shutdown, startup, startup, startup`
  Modifier and Type
  Method
  Description
  `static String`
  `convertToExternalSubject(EventSubject localSubject)`
  A utility method that performs consistent translation from an EventSubject to a String that can be used by external transport as subject for distributed communications.
  `EventManager`
  `getEventManager()`
  Returns local EventManager used by the bridge.
  `Object`
  `getExternalEventSource()`
  Returns an object used as a source of local events posted in response to remote events.
  `String`
  `getExternalSubject()`
  Returns a String subject used to post distributed events.
  `Collection<EventSubject>`
  `getLocalSubjects()`
  Returns a Collection of local EventSubjects.
  `boolean`
  `isRunning()`
  Returns true if this bridge is active.
  `protected void`
  `onExternalEvent(CayenneEvent event)`
  Helper method intended to be called explicitly by subclasses to asynchronously post an event obtained from a remote source.
  `boolean`
  `receivesExternalEvents()`
  Returns true if the bridge is configured to receive external events.
  `boolean`
  `receivesLocalEvents()`
  Returns true if the bridge is configured to receive local events from its internal EventManager.
  `void`
  `shutdown()`
  Stops listening for events on both local and external interfaces.
  `void`
  `startup(EventManager eventManager, int mode)`
  Starts EventBridge in the specified mode and locally listening to all event sources that post on a preconfigured subject.
  `void`
  `startup(EventManager eventManager, int mode, Object localEventSource)`
  Starts EventBridge in the specified mode and locally listening to a specified event source.
  `void`
  `startup(EventManager eventManager, int mode, Object localEventSource, Object remoteEventSource)`
  Starts EventBridge in the specified mode.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### startupExternal

    protected void startupExternal() throws Exception
    Description copied from class: `EventBridge`
    Starts an external interface of the EventBridge.
    Specified by:
      `startupExternal` in class `EventBridge`
    Throws:
      `Exception`

  - ### shutdownExternal

    protected void shutdownExternal() throws Exception
    Description copied from class: `EventBridge`
    Shuts down the external interface of the EventBridge, cleaning up and releasing any resources used to communicate external events.
    Specified by:
      `shutdownExternal` in class `EventBridge`
    Throws:
      `Exception`

  - ### sendExternalEvent

    protected void sendExternalEvent(CayenneEvent localEvent) throws Exception
    Description copied from class: `EventBridge`
    Sends a Cayenne event over the transport supported by this bridge.
    Specified by:
      `sendExternalEvent` in class `EventBridge`
    Throws:
      `Exception`